XtSetSelectionParameters(3)

NAME
XtSetSelectionParameters - specify target parameters for a selection request with a single target

SYNTAX

void XtSetSelectionParameters(Widget requestor, Atom selection, Atom type, XtPointer value, unsigned long length, int format);

ARGUMENTS

requestor
    Specifies the widget making the request. Must be of class Core or any subclass thereof.

selection
    Specifies the atom that names the selection.

type
    Specifies the type of the property in which the parameters will be passed.

value
    Specifies a pointer to the parameters.

length
    Specifies the number of elements containing data in value, each element of a sized indicated by format.

format
    Specifies the size in bits of the data in the elements of value.

DESCRIPTION
The specified parameters will be copied and stored in a new property of the specified type and format on the requestor's window. To initiate a selection request with a target and these parameters, a subsequent call to or to specifying the same requestor widget and selection atom will generate a request referring referring to the property containing the parameters. If is called more than once with the same widget and selection without a call to specify a request, the most recently specified parameters are used in the subsequent request.

The possible values of format may be 8, 16, or 32. If the format is 8, the elements of value are assumed to be sizeof(char); if 16, sizeof(short); if 32, sizeof(long).

To generate a MULTIPLE target request with parameters for any of the multiple targets of the selection request, precede individual calls to and with corresponding individual calls to and enclose these all within and and cannot be used to make selection requests with parameterized targets.

SEE ALSO
XtGetSelectionParameters(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface